Package edu.wisc.game.formatter

## Class Fmter

- java.lang.Object
- - edu.wisc.game.formatter.Fmter

- Direct Known Subclasses:
    `HTMLFmter`

      public class Fmter
      extends Object

  Auxiliary class for formatting output as plain text of HTML.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `color` |
    `static Fmter` | `dummy` | A dummy plain text formatter.
    `boolean` | `html` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Fmter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `a​(String url, String text)` |
    `String` | `a​(String url, String text, String extraClauses)` |
    `String` | `br()` |
    `String` | `brHtml()` | Generates a BR in HTML mode, and a space otherwise.
    `String` | `button​(String text)` |
    `String` | `code​(String text)` |
    `String` | `colored​(String color, String text)` |
    `String` | `ei​(String text)` | Font emphasis for texts that are "CHEETA inference"
    `String` | `em​(String text)` |
    `String` | `h1​(String text)` |
    `String` | `h2​(String text)` |
    `String` | `h3​(String text)` |
    `String` | `h4​(String text)` |
    `String` | `h5​(String text)` |
    `String` | `hr()` |
    `String` | `hrThin()` |
    `String` | `html​(String title, String body)` |
    `String` | `html2​(String head, String body)` |
    `String` | `para​(String text)` |
    `String` | `paraEi​(String text)` |
    `String` | `pre​(String text)` |
    `String` | `row​(String... cols)` | Generates a table row (a TR element).
    `String` | `row​(Vector<String> cols)` |
    `String` | `rowExtra​(String extra, String... cols)` |
    `String` | `rowExtra​(String extra, Vector<String> cols)` |
    `String` | `rowTh​(String key, String tdExtra, String... cols)` |
    `String` | `rowTh​(String key, String tdExtra, Vector<String> cols)` |
    `void` | `setColor​(boolean _color)` | This only affects HTML, not plain text
    `String` | `small​(String text)` |
    `String` | `space()` |
    `String` | `space​(int n)` |
    `String` | `sprintf​(String fmt, Object... data)` |
    `String` | `src​(String text)` | Font emphasis for text directly sourced from the rap sheet
    `String` | `strong​(String text)` |
    `String` | `style()` |
    `String` | `table​(String extra, String... rows)` | Generates a TABLE ...
    `String` | `table​(String extra, Vector<String> rows)` |
    `String` | `td​(String text)` |
    `String` | `td​(String extra, String text)` |
    `String` | `th​(String text)` |
    `String` | `th​(String extra, String text)` |
    `String` | `tr​(String text)` |
    `String` | `tt​(String text)` |
    `String` | `wrap​(String wrap, String text)` |
    `String` | `wrap​(String wrap, String extra, String text)` |
    `String` | `wrap2​(String wrap, String text)` |
    `String` | `wrap2​(String wrap, String extra, String text)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### html

          public boolean html

    - #### color

          public boolean color

    - #### dummy

          public static Fmter dummy

      A dummy plain text formatter. This can be used whenever you want plain-text formatting

  - ### Constructor Detail

    - #### Fmter

          public Fmter()

  - ### Method Detail

    - #### style

          public String style()

    - #### setColor

          public void setColor​(boolean _color)

      This only affects HTML, not plain text

    - #### br

          public String br()

    - #### brHtml

          public String brHtml()

      Generates a BR in HTML mode, and a space otherwise. Handy for breaks in table headers.

    - #### hr

          public String hr()

    - #### hrThin

          public String hrThin()

    - #### space

          public String space()

    - #### space

          public String space​(int n)

    - #### wrap

          public String wrap​(String wrap,
                             String text)

    - #### wrap

          public String wrap​(String wrap,
                             String extra,
                             String text)

    - #### wrap2

          public String wrap2​(String wrap,
                              String text)

    - #### wrap2

          public String wrap2​(String wrap,
                              String extra,
                              String text)

    - #### code

          public final String code​(String text)

    - #### tt

          public final String tt​(String text)

    - #### em

          public final String em​(String text)

    - #### strong

          public final String strong​(String text)

    - #### small

          public final String small​(String text)

    - #### ei

          public final String ei​(String text)

      Font emphasis for texts that are "CHEETA inference"

    - #### src

          public final String src​(String text)

      Font emphasis for text directly sourced from the rap sheet

    - #### button

          public final String button​(String text)

    - #### para

          public String para​(String text)

    - #### paraEi

          public String paraEi​(String text)

    - #### td

          public final String td​(String text)

    - #### th

          public final String th​(String text)

    - #### th

          public final String th​(String extra,
                                 String text)

    - #### td

          public final String td​(String extra,
                                 String text)

    - #### tr

          public final String tr​(String text)

    - #### table

          public final String table​(String extra,
                                    String... rows)

      Generates a TABLE ... /TABLE structure.
      Parameters:
        `extra` - E.g. "border=\"1\""
        `rows` - Each one is a TR ... /TR

    - #### table

          public final String table​(String extra,
                                    Vector<String> rows)

    - #### h1

          public final String h1​(String text)

    - #### h2

          public final String h2​(String text)

    - #### h3

          public final String h3​(String text)

    - #### h4

          public final String h4​(String text)

    - #### h5

          public final String h5​(String text)

    - #### pre

          public final String pre​(String text)

    - #### a

          public String a​(String url,
                          String text)

    - #### a

          public String a​(String url,
                          String text,
                          String extraClauses)

    - #### colored

          public String colored​(String color,
                                String text)

    - #### row

          public String row​(Vector<String> cols)

    - #### rowExtra

          public String rowExtra​(String extra,
                                 Vector<String> cols)

    - #### row

          public String row​(String... cols)

      Generates a table row (a TR element).
      Parameters:
        `cols` - The content of columns (without the TD wrapping; the wrapping will be done in this method)

    - #### rowTh

          public String rowTh​(String key,
                              String tdExtra,
                              String... cols)

    - #### rowTh

          public String rowTh​(String key,
                              String tdExtra,
                              Vector<String> cols)

    - #### rowExtra

          public String rowExtra​(String extra,
                                 String... cols)

    - #### html

          public String html​(String title,
                             String body)

    - #### html2

          public String html2​(String head,
                              String body)

    - #### sprintf

          public String sprintf​(String fmt,
                                Object... data)